<?php

namespace App\Filament\Resources\Modifications\Schemas;

use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class ModificationForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('name')
                    ->maxLength(255)
                    ->required(),
                TextInput::make('slug')
                    ->maxLength(255)
                    ->unique(ignoreRecord: true)
                    ->required(),
            ]);
    }
}
